hwloc_obj_memory_s::hwloc_obj_memory_page_type_s Struct Reference

`#include <hwloc.h>`

## Data Fields

hwloc_uint64_t | size
hwloc_uint64_t | count

## Detailed Description

Array of local memory page types, `NULL` if no local memory and `page_types` is 0.

The array is sorted by increasing `size` fields. It contains `page_types_len` slots.

## Field Documentation

## count

hwloc_uint64_t hwloc_obj_memory_s::hwloc_obj_memory_page_type_s::count

Number of pages of this size.

## size

hwloc_uint64_t hwloc_obj_memory_s::hwloc_obj_memory_page_type_s::size

Size of pages.

The documentation for this struct was generated from the following file:

- hwloc.h